Bug 208748 - [GCJ bug] Cannot persist alternative workspace location
[GCJ bug] Cannot persist alternative workspace location
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Konrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-01 11:29 EDT by Axon
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.2.1-24.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-06 15:04:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Axon 2006-10-01 11:29:57 EDT
Description of problem:

Eclipse always opens with the workspace pointing to $HOME/workspace despite the
fact I want to move my workspace to some other folder. The interface provides no
way of making new workspace selections using File -> Switch Workspace... persistant.

Version-Release number of selected component (if applicable):

3.1.2-1jpp_15fc

How reproducible:

Everytime

Steps to Reproduce:
1. Open Eclipse
2. Select new workspace using File -> Switch Workspace...
3. Close Eclipse
4. Open Eclipse and see the old workspace is still the default.
  
Actual results:

Each time Eclipse opens users must switch to their preferred workspace.

Expected results:

Users should be allowed to modify default workspace location, either by given
the option to make file switches in File -> Switch Workspace... defaults, or by
changing an option in Window -> Preferences.

Additional info:

None
Comment 1 Ben Konrath 2006-10-11 17:12:49 EDT
I think the problem here comes from the fact that we ship eclipse partially
pre-configured. We need to do this to extract the shared libraries from the
jarred plugins so that symlinks can be added in the file system (outside of the
eclipse filesystem structure). I'm going to have to think about this a little
more before I come up with a solution. BTW, thanks for the bug report.
Comment 2 Axon 2006-10-11 20:15:59 EDT
As an update: I noticed that if you run Fedora Eclipe using the Java 1.5
binaries from Sun this problem goes away. It could be a bug related to GCJ.
Comment 3 Ben Konrath 2006-10-11 20:47:01 EDT
Ok, I guess I was wrong then. Thanks for the update.
Comment 4 Ben Konrath 2007-02-06 15:04:49 EST
This problem is fixed in FC-6 with 3.2.1-24.fc6. When you start eclipse you will
be prompted for a workspace location and given the option to save this location.

Note You need to log in before you can comment on or make changes to this bug.